package gestioneeventi;

import java.awt.*;
import java.awt.event.*;
import interfacciagrafica.Client;
import comunicazione.ConnectSC;

/**
Autore: Barbara Allori<BR>
Data inizio: 24/12/1999<BR>
Versione: 1.0<BR>
Questa classe si occupa della gestione del bottone "Esci".
*/

public class EsciStanza implements ActionListener {
  public Client myclient;
  public void actionPerformed(ActionEvent e)
	{
		String s;
		s=myclient.cs.getStanza();
		try
		 {if(s.equals("")) s=myclient.ss.getStanza();}
		catch ( NullPointerException npe){s=myclient.ss.getStanza();}
		liberaStanza(s);
	}
	public EsciStanza(Client c)
	{
	  myclient=c;
	}
/**
Consente all'utente di uscire dalla stanza corrente.
*/
 public void liberaStanza(String s)
	{ 
		myclient.csc.inviaMsg("Utente ".concat(myclient.gdn.getName()).concat(" ha abbandonato la stanza ").concat(s).concat("\n"),myclient.gdn.getName());
		myclient.csc.esci();
		myclient.esci.setEnabled(false);
		myclient.invia.setEnabled(false);
		//myclient.stanza.setEditable(true);
		//myclient.stanza.setEnabled(true);
		myclient.lista.setEnabled(true);
		myclient.crea.setEnabled(true);
		myclient.stanza.setText("");
		myclient.aggiorna.setEnabled(true);
	}
}//fine classe


