package gestioneeventi;

import java.awt.*;
import java.awt.event.*;
import interfacciagrafica.Client;
import comunicazione.ConnectSC;

/**
Autore: Barbara Allori<BR>
Data inizio: 27/12/1999<BR>
Versione: 1.0<BR>
Questa classe si occupa della gestione della lista stanze.
*/

public class SelezionaStanza implements ActionListener
{private String stanza; 
 public Client myclient;
 public void actionPerformed(ActionEvent e)
	{
	 	setStanza(e.getActionCommand());
	 	myclient.invia.setEnabled(true);
	 	myclient.esci.setEnabled(true);
	 	myclient.crea.setEnabled(false);	
	 	//myclient.stanza.setEditable(false);
	 	myclient.lista.setEnabled(false);	
		myclient.aggiorna.setEnabled(false);
		invia(getStanza());
		myclient.csc.inviaMsg(myclient.gdn.getName().concat("entra nella stanza ").concat(getStanza()).concat("\n"),myclient.gdn.getName());
	}	
 public SelezionaStanza(Client c)
	{
	 myclient=c;
	}
/**
Restituisce il nome della stanza selezionata dall'utente.
*/
 public String getStanza()
	{
	 return stanza;
	}
/**
Recupera il nome della stanza selezionata dall'utente.
La stanza selezionata  sicuramente esistente perch l'utente l'ha selezionata dalla lista.
*/
 private void setStanza(String s)
	{
	 stanza=s;
	}
/**
Invia il nome della stanza in cui entrare al server di chat corrente.
*/
 public void invia(String s)
	{
	 myclient.csc.inviaStanza(s,myclient.gdn.getName());
	}
}//fine classe

