package ascolto;

import utilita.*;

/**
Autore: Barbara Allori<BR>
Data inizio: 16/08/2000<BR>
Versione: 1.0<BR>
Questa classe analizza la stringa carattere per carattere per verificare se si tratta
di un messaggio di sistema o di un messaggio per l'utente.<BR>
Una stringa di sisema  del tipo: "SIST i=127.0.0.1p=200".
*/
public class GestoreMsg 
{
 private int index;	
public GestoreMsg() 
{
}
/**
Determina di che tipo  il messaggio msg.
Restituisce true se  un messaggio per l'utente, false se invece il messaggio contiene informazioni relative al nuovo server di copia.
*/
public boolean getTipo(String msg)
{
	if(msg.startsWith(CostantiCom.TESTO)) return true;
	else return false;
}
/**
Restituisce la stringa rappresentante il messaggio utente. Va usato solo se il metodo getTipo ha restituito true.
*/
public String getMsg(String m)
{
	return m.substring(6);
}
/**
Restituisce il nome del nuovo server di copia. Va usato solo se metodo getTipo ha restituito false.
*/
public String getServer(String m)
{
	char[] msg=m.toCharArray();
	char temp[]=new char[100];
	int i=7;
	boolean continua=true;
	do
	{
		if(msg[i] != 'p') temp[i-7]=msg[i];
		else 
			{
				continua=false;
				index=i;
			}
		i++;
	}while (continua);
	return new String(temp);
}
/**
Restituisce la porta Tcp del nuovo server di copia. Usare dopo il getServer solo se getTipo ha restituito true.
*/
public String getPorta(String m)
{
	return m.substring(index+2);
}
public String getNomeUtente(String m)
{
	char[] msg=m.toCharArray();
	char temp[]=new char[100];
	int i=6;
	boolean continua=true;
	do
	{
		if(msg[i] != '>') temp[i-6]=msg[i];
		else continua=false;
		i++;
	}
	while(continua);
	return new String(temp);
}
/**
Converte una String in un intero
*/
public int stringToInt(String s) {
	char carattere;
	int i,valore,acc=0;
	for(i=0;i<5;i++) {
		carattere=s.charAt(i);
		valore=carattere-48;
		acc=acc*10+valore;
	}
	return acc;
	}
}//fine classe

