package gestioneeventi;

import java.awt.*;
import java.awt.event.*;
import interfacciagrafica.*;
import comunicazione.ConnectSC;

/**
Autore: Barbara Allori<BR>
Data inizio: 24/12/1999<BR>
Versione: 1.0<BR>
Questa classe si occupa della gestione del bottone "Crea Stanza".
*/

public class CreaStanza implements ActionListener{
 private String stanza;
 public Client myclient;
 private Frame myframe;	
 private DialogErrore de;	
	
 public void actionPerformed(ActionEvent e)
	{
	String command=e.getActionCommand();
	if(command.equals("Crea stanza"))
	 {
		setStanza(myclient.stanza.getText());
		if(getStanza().length()!=0)
	  {
			myclient.invia.setEnabled(true);
	  	myclient.esci.setEnabled(true);
			myclient.lista.setEnabled(false);
			myclient.aggiorna.setEnabled(false);
			myclient.crea.setEnabled(false);
			//myclient.stanza.setEnabled(false);
			invia(getStanza());
			myclient.csc.inviaMsg(myclient.gdn.getName().concat(" entra nella stanza ").concat(getStanza()),myclient.gdn.getName());
		}
		else
			de=new DialogErrore(myframe,true);
	 }//else myclient.crea.setEnabled(true);	
	}
 public CreaStanza(Client c,Frame f)
	{
  myclient=c; 
	myframe=f;
	}
/**
Restituisce il nome della stanza da creare indicato dall'utente.
*/
 public String getStanza()
	{
	 return stanza;
	}
/**
Invia il nome della stanza da creare al server di chat.
*/
 public void invia(String s)
	{
	 myclient.csc.inviaStanza(s,myclient.gdn.getName());
	}
/**
Recupera il nome della stanza da creare scritto dall'utente.
*/
 private void setStanza(String s)
	{
	 stanza=s;
	}
}//fine classe





