package gestioneeventi;

import java.awt.*;
import java.awt.event.*;
import interfacciagrafica.*;
import comunicazione.ConnectSC;

/**
Autore: Barbara Allori<BR>
Data inizio: 9/08/2000<BR>
Versione: 1.0<BR>
Questa classe gestisce la finestra dedicata alla digitazione del messaggio utente.
*/
public class GestoreDialogMsg implements ActionListener,WindowListener
{
  private Dialog mydialog;
	private String msg;
	private Client myclient;
	private TextArea mytext;
  public void actionPerformed(ActionEvent e)
  {
		  setMsg(mytext.getText());
			//mydialog.dispose();
			mydialog.setVisible(false);
			mytext.setText("");
			invia();
	}
  public void windowClosing(WindowEvent we)
	{
	 	//mydialog.dispose();
		  mydialog.setVisible(false);
	}
  public void windowOpened(WindowEvent we)
	{
	}
  public void windowActivated(WindowEvent we)
	{
	}
  public void windowDeiconified(WindowEvent we)
	{
	}
  public void windowIconified(WindowEvent we)
	{
	}
  public void windowDeactivated(WindowEvent we)
	{
	}
  public void windowClosed(WindowEvent we)
  {
	 	 //mydialog.dispose();
		 mydialog.setVisible(false);
	}
	public GestoreDialogMsg(Dialog d,Client c,TextArea t)
	{
	 	mydialog=d;
		myclient=c;
		mytext=t;
	}
/**
Restituisce il messaggio scritto dall'utente.
*/
	public String getMsg()
	{
	 return msg;
	}
/**
Preleva il messaggio scritto dall'utente.
*/
	private void setMsg(String m)
	{
	 msg=m;
	}
/**
Invia il messaggio appena scritto al server di chat corrente.
*/
 public void invia()
	{
		System.out.println("L'utente ha scritto questo msg: "+getMsg());
		myclient.csc.inviaMsg(getMsg(),myclient.gdn.getName());
	}
}//fine classe

