package gestioneeventi;

import java.awt.*;
import java.awt.event.*;
import interfacciagrafica.*;

/**
Autore: Barbara Allori<BR>
Data inizio: 27/12/1999<BR>
Versione: 1.0<BR>
Questa classe si occupa di leggere il nome dell'utente collegato alla chat.
*/

public class GestoreDialogNome implements ActionListener,WindowListener
{
  private Dialog myDialog;
	private TextField testo;
	private static String nome;
  private DialogErrore de;	
	private Frame myframe;
	
  public void actionPerformed(ActionEvent e)
  {
		setName(testo.getText());
		if(getName().length()!=0)
	  	myDialog.dispose();
		else
			de=new DialogErrore(myframe,false);
	}
  public void windowClosing(WindowEvent we)
	{
	}
  public void windowOpened(WindowEvent we)
	{
	}
  public void windowActivated(WindowEvent we)
	{
	}
  public void windowDeiconified(WindowEvent we)
	{
	}
  public void windowIconified(WindowEvent we)
	{
	}
  public void windowDeactivated(WindowEvent we)
	{
	}
  public void windowClosed(WindowEvent we)
	{
	}
  public GestoreDialogNome(Dialog d,TextField t,Frame f)
	{
	  myDialog=d;
		testo=t;
		myframe=f;
	}
	public GestoreDialogNome()
	{
	}
/**
Restituisce la stringa rappresentante il nome dell'utente.
*/
  public String getName()
	{
	  return nome;
	}
/**
Aggiorna la stringa rappresentante il nome dell'utente.
*/
	private void setName(String n)
	{
	 nome=n;
	}
}//fine classe

