package interfacciagrafica;

import java.awt.*;
import java.awt.event.*;
import gestioneeventi.*;
import comunicazione.*;
import utilita.*;

/**
Autore: Barbara Allori<BR>
Data inizio: 27/12/1999<BR>
Versione: 1.0<BR>
Queta classe viene lanciata all'avvio della applicazione.
*/

public class Client extends Frame
{ public 	TextArea testo=new TextArea("");
	public	Button invia=new Button("Invia messaggio");
	public	Button esci=new Button("Esci");
	public	Button crea=new Button("Crea stanza");
	public  Button aggiorna=new Button("Aggiorna lista");
  public	TextField stanza=new TextField("Scrivi qui il nome della stanza",20);
	public  List lista=new List(50,false);
	public  int portadefault=CostantiAlt.SCFORC,udp;
	public  GestoreDialogNome gdn=new GestoreDialogNome();
	public  AggiornaLista al=new AggiornaLista(this);
	public  CreaStanza cs=new CreaStanza(this,this);
	public  EsciStanza es=new EsciStanza(this);
	public  SelezionaStanza ss=new SelezionaStanza(this);
	public  ConnectSC csc;
	private	GestoreClient gc=new GestoreClient(this);



	public Client()
	{
		super("Chat");
		setBackground(Color.white);
		Dialog dialog=new DialogNome(this);
		csc=new ConnectSC(this);
		ConnectNS cns=new ConnectNS(this);
		this.setLayout(new GridLayout(1,2));
		this.add(panel1());
		this.add(panel2());
		setSize(640,480);
		show();
		this.addWindowListener(gc);
	}

//creo il pannello di sx
  private Panel panel1()
	{ //creo il pannello che restituisco
	  Panel result=new Panel(new GridLayout(3,1)); 
		
		//il pannello principale  costituito da tre pannelli
		Panel panel1a=new Panel(new BorderLayout());//questo conterr l'area di testo in cui visualizzo i msg
		Panel panel1b=new Panel(new BorderLayout());//questo conterr l'area per scivere il nome della stanza da creare, il bottone per creare
		Panel panel1c=new Panel(new BorderLayout());//questo conterr il bottone per i msg
		
		Panel p1=new Panel(new FlowLayout(FlowLayout.LEFT));//per visualizzare i msg
		Panel p2=new Panel(new FlowLayout(FlowLayout.LEFT));//per scrivere il nome della stanza
		Panel p3=new Panel(new FlowLayout(FlowLayout.RIGHT));//per creare la stanza
		Panel p4=new Panel(new FlowLayout(FlowLayout.CENTER));//per scrivere un msg
		
		testo.setEditable(false);
		invia.setEnabled(false);
		crea.setEnabled(true);
		//stanza.setEditable(true);
		crea.addActionListener(cs);
		//stanza.addActionListener(cs);
		
		p1.add(testo);
		panel1a.add("Center",p1);
		p2.add(stanza);
		p3.add(crea);
		panel1b.add("West",p2);
		panel1b.add("East",p3);
		p4.add(invia);
		invia.addActionListener(new ScriviMsg(this,this));
		panel1c.add("Center",p4);
		
		result.add(panel1a);
		result.add(panel1b);
		result.add(panel1c);
		
		return result;
	}	
 //creo il pannello di destra
	private Panel panel2()
	{ //creo il pannello che restituisco
	Panel result=new Panel(new GridLayout(2,1));
	
	//il pannello principale  costituito da due pannelli
	Panel panel2a=new Panel(new BorderLayout());
	Panel panel2b=new Panel(new BorderLayout());
	
	Panel p1=new Panel(new FlowLayout(FlowLayout.CENTER));//qui metto la lista stanze
	Panel p2=new Panel(new FlowLayout(FlowLayout.CENTER));//qui metto il pulsante per l'aggiornamento
	Panel p3=new Panel(new FlowLayout(FlowLayout.CENTER));//qui metto il pulsante per uscire dalla stanza
	
	lista.addActionListener(ss);
	aggiorna.addActionListener(al);
	esci.setEnabled(false);
	esci.addActionListener(es);
	
	p1.add(lista);
	panel2a.add("Center",p1);
	p2.add(aggiorna);
	p3.add(esci);
	panel2b.add("North",p2);
	panel2b.add("Center",p3);
	
	result.add(panel2a);
	result.add(panel2b);
	
	return result;
 }	

public static void main( String[] args )
{
	Client myclient=new Client();
}
}//fine classe
