package interfacciagrafica;

import java.awt.*;
import java.awt.event.*;
import gestioneeventi.GestoreDialogErrore;

/**
Autore: Barbara Allori<BR>
Data inizio: 28/08/200<BR>
Versione: 1.0<BR>
Questa dialog visualizza messaggi di errore nell'inserimento dati.
Se tipoerrore e' true allora l'utente cerca di accedere alla chat 
senza fornire un nome, altrimenti cerca di creare una stanza senza 
nome.
*/

public class DialogErrore extends Dialog
{
	public DialogErrore(Frame owner,boolean tipoerrore)
	{
		super(owner,"Messaggio di errore",true);
		if(tipoerrore)
		{
			setLayout(new BorderLayout());
			Panel p1=new Panel();
			Label l=new Label("Non puoi creare stanze senza nome!");
			p1.add(l);
			add("North",p1);
			addWindowListener(new GestoreDialogErrore(this));
			pack();
			show();		
		}
		else
		{
			setLayout(new BorderLayout());
			Panel p1=new Panel();
			Label l=new Label("Inserisci il tuo nome per accedere alla chat");
			p1.add(l);
			add("North",p1);
		  addWindowListener(new GestoreDialogErrore(this));
			pack();
			show();		
		}
	}
}//fine classe

