/*
Autore Renato Ricci <BR>
Data 20-08-00 <BR>
Versione Beta <BR>
*/

package dati_ns;

import java.lang.Object;
import java.net.*;
import java.util.*;

/**
Classe contenente le informazioni riguardanti un Server di Chat. <BR>
*/
public class InfoServerDiChat
  {
	/** Stringa contenente il nome del Server di Chat*/
  private String nome_server_di_chat;
	
	/** InetAddress contenente l'indirizzo del Server di Chat*/
  private InetAddress indirizzo_server_di_chat;

  /**
  Costruttore
  */
  public InfoServerDiChat(String nome,InetAddress indirizzo)
    {
	  nome_server_di_chat=nome;
	  indirizzo_server_di_chat=indirizzo;
	  }

  /**
	Metodo: restituisce il nome del Server di Chat. <BR>
	*/
	public String getName()
    {
	  return nome_server_di_chat;
	  }
	
  /**
	Metodo: restituisce l'indirizzo del Server di Chat. <BR>
	*/
  public InetAddress getAddress()
    {
	  return indirizzo_server_di_chat;
	  }

  }  // fine classe

