package strutturedati;

import java.net.*;

/**
Autore:	Terenzio<BR>
Data:		01-09-2000<BR>
Vers:		1.0<BR>
Classe ausiliaria utile per contenere le informazioni ricavate dalla comunicazione con il Name Server.
*/

public class InfoServer {
	private String nome;
	private InetAddress indirizzo;
	
	//Costruttore
	
	public InfoServer (String nome, InetAddress indirizzo) {
		this.nome=nome;
		this.indirizzo=indirizzo;
	} //fine costruttore

	/**
	Restituisce il campo nome contenuto all'interno dell'istanza.
	*/
	public String getNome() {
		return nome;
	} //fine getNome
	
	/**
	Restituisce il campo indirizzo contenuto all'interno dell'istanza.
	*/
	public InetAddress getIndirizzo() {
		return indirizzo;
	} //fine getIndirizzo


} //fine classe

