package utilita;

/**
Autore:	Terenzio<BR>
Data:		01-09-2000<BR>
Vers:		1.0<BR>
Classe che contenere le costanti di vario genere necessarie al sistema.
*/

public final class CostantiAlt {

	/**
	Tempo indicativo di durata della cache
	*/
	public static final long DELAY=20000; //20 secondi
	
	/**
	Tempo indicativo dopo quanto la ServerSocket di una stanza si sblocca ricevendo una 
	InterruptedIOException per verificare se la stanza  ancora viva.
	*/
	public static final int TIMEOUTSSSTANZA=5000; //5 secondi	

	/**
	Tempo indicativo dopo il quale il client si sposta sul name server secondario
	*/
	public static final int DELAYFORTENTATIVI=5000; //5 secondi	
	
	/** 
	Porta su cui rispondono i Server di Chat ai Client
	*/
	public static final int SCFORC=30000;
	
	/**
	Porta su cui rispondono i Server di Chat agli altri Server di Chat
	*/
	public static final int SCFORSC=40000;

	/**
	Nome del Name Server primario
	*/
	public static final String NSP="lia23";
	
	/**
	Nome del NameServer secondario
	*/
	public static final String NSS="lia24";
	
	/**
	Porta su cui risponde il Name Server Primario ai Server di Chat
	*/
	public static final int NSPFORSC=11112;
	
	/**
	Porta su cui risponde il Name Server Secondario ai Server di Chat
	*/
	public static final int NSSFORSC=21112;
	
	/**
	Numoro di tentativi eseguiti su name server da parte del client
	*/
	public static final int NUMEROTENTATIVI=4;


} //fine classe

